Bug 54302 - Lack of documentation
Summary: Lack of documentation
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-03 21:41 UTC by Charles Curley
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-12 15:47:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles Curley 2001-10-03 21:41:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
There is no documentation for the rp3 package. No man or info pages,
nothing in /usr/share/doc.

It took me all day to find out that the program rp3 existed. I found
rp3-config on the Gnome desktop, and spent all morning trying to get it to
play with netcfg. That does not work (something else to document).

I found the program rp3 by reading rp3-related bug reports in Bugzilla.

The documentation in the getting started guide neglects to mention that rp3
is a separate program from rp3-config, and only shows how to launch
rp3-config (incorrectly, at that).

The command line help (rp3 --help) works but is terse and insufficient. In
addition, it should refer the user to more complete documentation
elsewhere.

I am an experience Unix and Linux user (7 years with Linux, more than 10
with Unix) and if it takes me all day and a trip to Bugzilla to learn how
to use a program, you need to do some serious usability studies.

I've been writing software for 23 years, and I document everything I do as
I do it. Come on, guys. The job isn't over until the paperwork's done.

Version-Release number of selected component (if applicable):
rp3-1.1.10-1

How reproducible:
Always

Steps to Reproduce:
1. Install rp3 package
2. Search for documentation in all the usual places.
3. 
	

Additional info:

Comment 1 Colin Charles 2004-08-12 08:26:37 UTC
Now that rp3 is gone, how much of an issue is this?

Comment 2 Charles Curley 2004-08-12 15:47:33 UTC
If rp3 is gone, I guess it now has an appropriate level of
documentation. As far as I am concerned, you may close this.


Note You need to log in before you can comment on or make changes to this bug.